#ifndef XGFXWORLDDPVSDYNAMIC_H
#define XGFXWORLDDPVSDYNAMIC_H

#include "xasset.h"

#include <QVector>

class XGfxWorldDpvsDynamic : public XAsset
{
public:
    XGfxWorldDpvsDynamic();
    ~XGfxWorldDpvsDynamic();

    quint32 GetClientCount(int aIndex) const;

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector<uint> mDynEntClientWordCount;
    QVector<uint> mDynEntClientCount;
    QVector<qint32> mDynEntCellBitsPtrs;
    QVector<uint> mDynEntCellBits;
    QVector<QVector<qint32>> mDynEntVisDataPtrs;
    QVector<QVector<quint8>> mDynEntVisData;
};

#endif // XGFXWORLDDPVSDYNAMIC_H
